#
# Conditional build:
%bcond_with	oracle		# build with oracle support
%bcond_with	instantclient	# build oracle support with oracle-instantclient
#
Summary:	A graphical toolkit for database developers and administrators
Summary(pl.UTF-8):	Zestaw graficznych narzędzi dla programistów i administratorów baz danych
Name:		tora
Version:	2.1.3
Release:	4
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://downloads.sourceforge.net/tora/%{name}-%{version}.tar.gz
# Source0-md5:	ea4a75a9daeaf58492413e3f7fe40293
Source1:	%{name}.desktop
Patch0:		%{name}-postgresql.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-build.patch
Patch3:		gethostname.patch
URL:		http://tora.sourceforge.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtXml-devel
BuildRequires:	cppunit-devel
%{?with_instantclient:BuildRequires:	oracle-instantclient-devel}
BuildRequires:	pcre-devel
BuildRequires:	postgresql-devel
BuildRequires:	qscintilla2-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	xorg-lib-libICE-devel
Suggests:	QtSql-pgsql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with oracle}
# ORACLE_HOME is required for oracle
%define _preserve_env %_preserve_env_base ORACLE_HOME
%endif

%description
TOra features a schema browser, SQL worksheet, PL/SQL editor and
debugger, storage manager, rollback segment monitor, instance manager,
and SQL output viewer. Via qt3 it can access PostgreSQL and MySQL
directly. Any other database systems can be accessed via ODBC.

%description -l pl.UTF-8
TOra zawiera przeglądarkę schematów, arkusz roboczy SQL, edytor i
debugger PL/SQL, zarządcę danych, monitor segmentów wycofań, zarządcę
instancji i przeglądarkę wyjścia SQL. Poprzez qt3 może współpracować
bezpośrednio z bazami PostgreSQL i MySQL. Inne systemy baz danych mogą
być obsługiwane poprzez ODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm -f src/moc_*

%build
%{__libtoolize}
%{__aclocal} -I config/m4
%{__autoconf}
%{__automake}
%configure \
	--libdir=%{_datadir}/%{name} \
	--with-qt-libraries=%{_libdir} \
%if %{with oracle}
    %if %{with instantclient}
	--with-instant-client \
	--with-oracle-includes=%{_includedir}/oracle/client \
	--with-oracle-libraries=%{_libdir} \
    %endif
	--with-oracle
%else
	--without-oracle
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/icons/tora.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a src/templates $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/templates
%{_datadir}/%{name}/*.qm
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_infodir}/tora*
%changelog
* Sun Jul 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tora.git;a=log;h=master

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 9d5d880
- rel 4

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> e16c6bd
- fixed paths and added missing hunk

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> 63c5c51
- added missing header for gethostname(3)
- rel 3

* Thu Jan 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ff32a1
- release 2

* Mon Sep 26 2011 Jan Rękorajski <baggins@pld-linux.org> bb10b60
- updated to 2.1.3

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f269cb
- rel 4; fix build

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f17bdd
- release 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fdc3c3c
- release 2

* Fri Sep 10 2010 Jan Rękorajski <baggins@pld-linux.org> 1be3bba
- 2.1.2
- allow building with oracle-instantclient
- updated BR

* Fri Sep 10 2010 Jan Rękorajski <baggins@pld-linux.org> 7344d01
- fix some quirks latest g++ does not like

* Mon Jan 04 2010 Andrzej Zawadzki <zawadaa@gmail.com> 13c0fe2
- Suggests QtSql-pgsql - to use with Postgresql

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> 4f290de
- rel 1
- updated BR

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> b2328e5
- added info

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> f8ade87
- removed obsolete gcc4 patch

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> 6255b2f
- obsolete

* Wed Dec 02 2009 Jan Rękorajski <baggins@pld-linux.org> 1dfe376
- started update to 2.1.1

* Thu Sep 10 2009 Jan Rękorajski <baggins@pld-linux.org> d45abd6
- rel 1

* Fri Sep 04 2009 Jan Rękorajski <baggins@pld-linux.org> cdaca0b
- updated to 2.0.0
- removed outdated patches

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> bd2dee9
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6dcda7e
- tabs in preamble

